#include "os.h"

int main()
{
    k_clear_screen();

    // GDT, IDT, ISRS, IRQ, timer, keyboard
    gdt_install();
    idt_install();
    isrs_install();
    irq_install();
    timer_install();
    keyboard_install();

	k_printf("   ************************************************", 0, 0xA);
	k_printf("   *                                              *", 1, 0xA);
	k_printf("   *          Welcome to PrettyOS 0.05            *", 2, 0xA);
	k_printf("   *                                              *", 3, 0xA);
	k_printf("   *        The C kernel has been loaded.         *", 4, 0xA);
	k_printf("   *                                              *", 5, 0xA);
	k_printf("   ************************************************", 6, 0xA);

	update_cursor(8, 0);
    sti();
	while(TRUE)
	{
	    static int zz=10;
	    sleepSeconds(20);
	    k_printf("20 sec have passed", ++zz, 0x0B);
	};
	return 0;
};
