#include "os.h"

void k_clear_screen()
{
	unsigned long* vidmem = (unsigned long*) 0xb8000;
	unsigned long i; i=0;
	while(i<(40*25))
	{
		vidmem[i] = 0x0A200A20; // intensive green on black, Space (ASCII: 0x20)
		++i;
	};
};

unsigned int k_printf(char* message, unsigned int line, char attribute)
{
	char* vidmem = (char*) 0xb8000;
	unsigned int i = line*80*2;

	while(*message!=0)
	{
		if(*message=='\n') // check for a new line
	    {
	      line++;
	      i=(line*80*2);
	      *message++;
	    }
        else
        {
		  vidmem[i]=*message;
		  *message++;
		  ++i;
		  vidmem[i]=attribute;
		  ++i;
        }
	};
	return 1;
};

void update_cursor(int row, int col)
{
	unsigned short position=(row*80) + col;

	// cursor HIGH port to vga INDEX register
	outportb(0x3D4, 0x0E);
	outportb(0x3D5, (unsigned char)((position>>8)&0xFF));
	// cursor LOW port to vga INDEX register
	outportb(0x3D4, 0x0F);
	outportb(0x3D5, (unsigned char)(position&0xFF));
};
